      ******************************************************************
      **                                                              **
      **  Program name:  CMQMDL                                       **
      **                                                              **
      **  Description:   This file declares the MQMD structure,       **
      **                 which is part of IBM Message Queue Interface **
      **                 (MQI) in the Windows NT environment.         **
      **                                                              **
      ** Licensed Materials - Property of IBM                         **
      ** 63H9336                                                      **
      ** (C) Copyright IBM Corp. 1994,1996.                           **
      **                                                              **
      **  Status:        Version 2 Release 0                          **
      **                                                              **
      ******************************************************************

      **   MQMD structure
        10 MQMD.
      **    Structure identifier
         15 MQMD-STRUCID          PIC X(4).
      **    Structure version number
         15 MQMD-VERSION          PIC S9(9) BINARY.
      **    Report options
         15 MQMD-REPORT           PIC S9(9) BINARY.
      **    Message type
         15 MQMD-MSGTYPE          PIC S9(9) BINARY.
      **    Expiry time
         15 MQMD-EXPIRY           PIC S9(9) BINARY.
      **    Feedback or reason code
         15 MQMD-FEEDBACK         PIC S9(9) BINARY.
      **    Data encoding
         15 MQMD-ENCODING         PIC S9(9) BINARY.
      **    Coded character set identifier
         15 MQMD-CODEDCHARSETID   PIC S9(9) BINARY.
      **    Format name
         15 MQMD-FORMAT           PIC X(8).
      **    Message priority
         15 MQMD-PRIORITY         PIC S9(9) BINARY.
      **    Message persistence
         15 MQMD-PERSISTENCE      PIC S9(9) BINARY.
      **    Message identifier
         15 MQMD-MSGID            PIC X(24).
      **    Correlation identifier
         15 MQMD-CORRELID         PIC X(24).
      **    Backout counter
         15 MQMD-BACKOUTCOUNT     PIC S9(9) BINARY.
      **    Name of reply-to queue
         15 MQMD-REPLYTOQ         PIC X(48).
      **    Name of reply queue manager
         15 MQMD-REPLYTOQMGR      PIC X(48).
      **    User identifier
         15 MQMD-USERIDENTIFIER   PIC X(12).
      **    Accounting token
         15 MQMD-ACCOUNTINGTOKEN  PIC X(32).
      **    Application data relating to identity
         15 MQMD-APPLIDENTITYDATA PIC X(32).
      **    Type of application that put the message
         15 MQMD-PUTAPPLTYPE      PIC S9(9) BINARY.
      **    Name of application that put the message
         15 MQMD-PUTAPPLNAME      PIC X(28).
      **    Date when message was put
         15 MQMD-PUTDATE          PIC X(8).
      **    Time when message was put
         15 MQMD-PUTTIME          PIC X(8).
      **    Application data relating to origin
         15 MQMD-APPLORIGINDATA   PIC X(4).

