      ******************************************************************
      **                                                              **
      **  Program name:  CMQTMC2L                                     **
      **                                                              **
      **  Description:   This file declares the MQTMC2 structure,     **
      **                 which is part of IBM Message Queue Interface **
      **                 (MQI) in the Windows NT environment.         **
      **                                                              **
      ** Licensed Materials - Property of IBM                         **
      ** 63H9336                                                      **
      ** (C) Copyright IBM Corp. 1994,1996.                           **
      **                                                              **
      **  Status:        Version 2 Release 0                          **
      **                                                              **
      ******************************************************************

      **   MQTMC2 structure
        10 MQTMC.
      **    Structure identifier
         15 MQTMC-STRUCID     PIC X(4).
      **    Structure version number
         15 MQTMC-VERSION     PIC X(4).
      **    Name of triggered queue
         15 MQTMC-QNAME       PIC X(48).
      **    Name of process object
         15 MQTMC-PROCESSNAME PIC X(48).
      **    Trigger data
         15 MQTMC-TRIGGERDATA PIC X(64).
      **    Application type
         15 MQTMC-APPLTYPE    PIC X(4).
      **    Application identifier
         15 MQTMC-APPLID      PIC X(256).
      **    Environment data
         15 MQTMC-ENVDATA     PIC X(128).
      **    User data
         15 MQTMC-USERDATA    PIC X(128).
      **    Queue manager name
         15 MQTMC-QMGRNAME    PIC X(48).

